package com.tjzhxx.union.entity;

import java.io.Serializable;

/**
 * 描述:
 * @author yanghuaxiong
 * @create 2018/4/10 下午2:41
 * 
 */
public class BaseResponse<T> implements Serializable {
    private int status;
    private int code;
    private String msg;
    private T resultData;
    private T data;

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public T getResultData() {
        return resultData;
    }

    public void setResultData(T resultData) {
        this.resultData = resultData;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }
}
